### Method

# FwupdPlugin Edid set_serial_number

since: 1.9.6

#### Declaration [src]

    void
    fu_edid_set_serial_number (
      FuEdid* self,
      const gchar* serial_number
    )

#### Description [src]

Sets the serial number, which can either be a unsigned 32 bit integer, or a string equal to or less than 13 ASCII characters long.

Available since: 1.9.6

#### Parameters

`serial_number`

  Type: `const gchar*`

  String value, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.